using ComputersShopContracts.Attributes;
using ComputersShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.ViewModels
{
	public class ClientViewModel : IClientModel
	{
		[Column(visible: false)]
		public int Id { get; set; }
		[Column("ФИО клиента", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ClientFIO { get; set; } = string.Empty;
		[Column("Логин (эл. почта)", width: 150)]
		public string Email { get; set; } = string.Empty;
		[Column("Пароль", width: 150)]
		public string Password { get; set; } = string.Empty;
	}
}
